% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/make_JRIM_cds.R
\name{make_JRIM_cds}
\alias{make_JRIM_cds}
\title{Create JRIM input CDS}
\usage{
make_JRIM_cds(cds, reduced_coordinates, k_neigh = 50,
  size_factor_normalize = TRUE, verbose = TRUE, max_overlap = 0.8)
}
\arguments{
\item{cds}{List of input CDS objects of K tissues.}

\item{reduced_coordinates}{A data frame with columns representing the
coordinates of each cell in reduced dimension space (generally 2-3
dimensions).}

\item{k_neigh}{Number of cells to aggregate per group.}

\item{size_factor_normalize}{Logical, should accessibility values be
normalized by size factor?}

\item{verbose}{Logical, should warning and info messages be printed?}

\item{max_overlap}{The maximum overlapping ratio of two groups.}
}
\value{
Aggregated CDS objects of all K tissues.
}
\description{
Function to generate aggregated input CDSs for JRIM. \code{generate_JRIM_models}
takes as input aggregated CDSs object. This function will group similar cells
per tissue using a KNN method and aggregate their binary accessibility scores 
if they do not overlap any existing group with more than 80% cells. 
Modified from function \code{cicero::make_cicero_cds}.
}
